/**
 * output package name
 */
package com.kingdee.eas.custom.compensation.startingsalary.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ESignStatusEnum extends StringEnum
{
    public static final String NOTINITIATED_VALUE = "1";//alias=未发起
    public static final String INITIATED_VALUE = "2";//alias=已发起,未确认
    public static final String CONFIRMED_VALUE = "3";//alias=已确认
    public static final String INITFAILED_VALUE = "4";//alias=发起失败

    public static final ESignStatusEnum NOTINITIATED = new ESignStatusEnum("NOTINITIATED", NOTINITIATED_VALUE);
    public static final ESignStatusEnum INITIATED = new ESignStatusEnum("INITIATED", INITIATED_VALUE);
    public static final ESignStatusEnum CONFIRMED = new ESignStatusEnum("CONFIRMED", CONFIRMED_VALUE);
    public static final ESignStatusEnum INITFAILED = new ESignStatusEnum("INITFAILED", INITFAILED_VALUE);

    /**
     * construct function
     * @param String eSignStatusEnum
     */
    private ESignStatusEnum(String name, String eSignStatusEnum)
    {
        super(name, eSignStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ESignStatusEnum getEnum(String eSignStatusEnum)
    {
        return (ESignStatusEnum)getEnum(ESignStatusEnum.class, eSignStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ESignStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ESignStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ESignStatusEnum.class);
    }
}